{--------------------------------------------------------}
{                                                        }
{    Programa de acesso a redes sociais                  }
{                                                        }
{    Mdulo de mensagens                                 }
{                                                        }
{    Autor: Jos Antonio Borges                          }
{                                                        }
{    Em setembro/2010                                    }
{                                                        }
{--------------------------------------------------------}

unit twmsg;

interface
uses
    dvcrt, dvWin, dvForm, twvars;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure menuAdiciona (cod: string);
procedure limpaBaixo;
procedure titulo;
procedure naoImplem;
function traduzErro (s: string): string;

implementation

{--------------------------------------------------------}
{       descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'TWINIC' then
        s := 'Twitter Vox - verso '
    else
    if nomeArq = 'TWNAOIMP' then
        s := 'No foi implementado ainda'
    else
    if nomeArq = 'TWAPTENT' then
        s := 'Aperte enter para continuar'
    else
    if nomeArq = 'TWFIM' then
        s := 'Fim do Twitter Vox'
    else
    if nomeArq = 'TWOPCAO' then
        s := 'Twit: '
    else
    if nomeArq = 'TWOPINV' then
        s := 'Opo invlida, F1 ajuda.'
    else
    if nomeArq = 'TWCNFFIM' then
        s := 'Confirma fim? '

    else
    if nomeArq = 'TWOPSAO' then
        s := 'As opes so:'
    else

    if nomeArq = 'TWOP_T' then
        s := 'T - tuitar uma mensagem'
    else
    if nomeArq = 'TWOP_L' then
        s := 'L - linha do tempo'
    else
    if nomeArq = 'TWOP_F' then
        s := 'F - folhear mensagens'
    else
    if nomeArq = 'TWOP_B' then
        s := 'B - buscar contedos'
    else
    if nomeArq = 'TWOP_M' then
        s := 'M - enviar mensagem direta'
    else
    if nomeArq = 'TWOP_D' then
        s := 'D - mensagens diretas para mim'
    else
    if nomeArq = 'TWOP_I' then
        s := 'I - obter informaes sobre algum'
    else
    if nomeArq = 'TWOP_A' then
        s := 'A - amigos'
    else
    if nomeArq = 'TWOP_S' then
        s := 'S - seguidores'
    else
    if nomeArq = 'TWOP_C' then
        s := 'C - configuraes'
    else
    if nomeArq = 'TWOP_ESC' then
        s := 'ESC - terminar'

    else
    if nomeArq = 'TWTIPFOL' then
        s := 'Qual o tipo de folheamento? '
    else
    if nomeArq = 'TWFL_T' then
        s := 'T - folhear Twits'
    else
    if nomeArq = 'TWFL_G' then
        s := 'G - folhear twits Globais'
    else
    if nomeArq = 'TWFL_M' then
        s := 'M - folhear Menes'
    else
    if nomeArq = 'TWFL_E' then
        s := 'E - folhear Enviadas por mim'
    else
    if nomeArq = 'TWFL_A' then
        s := 'A - folhear enviadas por Algum'
    else
    if nomeArq = 'TWFL_D' then
        s := 'D - folhear Diretas'
    else
    if nomeArq = 'TWFL_V' then
        s := 'V - folhear diretas enViadas por mim'

    else
    if nomeArq = 'TWEX_T' then
        s := 'T - Retuitar'
    else
    if nomeArq = 'TWEX_E' then
        s := 'E - Replicar'
    else
    if nomeArq = 'TWEX_U' then
       s := 'U - Detalhes do usurio'
    else
    if nomeArq = 'TWEX_D' then
        s := 'D - Detalhes do destinatrio'
    else
    if nomeArq = 'TWEX_M' then
        s := 'M - Detalhes da mensagem'
    else
    if nomeArq = 'TWEX_S' then
        s := 'S - Salvar mensagens em arquivo'
    else
    if nomeArq = 'TWEX_X' then
        s := 'X - Executar a referncia http'
    else
    if nomeArq = 'TWEX_L' then
        s := 'L - Ler editorando a mensagem'
    else
    if nomeArq = 'TWEX_R' then
        s := 'R - Remover a mensagem'

    else
    if nomeArq = 'TWMESMA' then
        s := 'Posso usar a ltima conta acessada? '
    else
    if nomeArq = 'TWDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'TWUSUATU' then
        s := 'Usurio atual: '
    else
    if nomeArq = 'TWCNFCON' then
        s := 'Confirma usurio e senha atuais? '
    else
    if nomeArq = 'TWUSUARI' then
        s := 'Informe o usurio: '
    else
    if nomeArq = 'TWSENHA' then
        s := 'Informe a senha: '
    else
    if nomeArq = 'TWAUTO' then
        s := 'Posso realizar sua autorizao automaticamente? '
    else
    if nomeArq = 'TWUSUSET' then
        s := 'Informe o usurio ou use as setas: '
    else
    if nomeArq = 'TWSEMREG' then
        s := 'No h usurios registrados.'
    else
    if nomeArq = 'TWCNFCOD' then
        s := 'Configurando os cdigos de acesso'
    else
    if nomeArq = 'TWERRCHV' then
        s := 'As chaves de acesso no conferem.'
    else
    if nomeArq = 'TWSUSPEN' then
        s := 'Usurio suspenso.'
    else
    if nomeArq = 'TWINVTOK' then
        s := 'Autorizao de acesso invlido ou expirado.'
    else
    if nomeArq = 'TWCHVARM' then
        s := 'Novas chaves armazenadas.'

    else
    if nomeArq = 'TWABRNAV' then
         s := 'Vou abrir um navegador para completar sua autorizao.'
    else
    if nomeArq = 'TWEUDIG' then
         s := 'Vou digitar os dados para voc.'
    else
    if nomeArq = 'TWDIGUSR' then
         s := 'Informe sua conta previamente criada no Twitter: '
    else
    if nomeArq = 'TWDIGPSW' then
         s := 'Informe sua senha previamente criada no Twitter: '
    else
    if nomeArq = 'TWNAODIG' then
         s := 'Por favor no toque no teclado nem mova o mouse at que eu avise.'
    else
    if nomeArq = 'TWCPFORM' then
        s := 'Digite sua conta, aperte TAB, digite sua senha e ao final tecle Enter.'
    else
    if nomeArq = 'TWESCPIN' then
        s := 'Finalmente, copie e transcreva no Twitvox o nmero que aparecer na tela.'
    else
    if nomeArq = 'TWNUMCOP' then
        s := 'Nmero copiado: '
    else
    if nomeArq = 'TWAUTOK' then
        s := 'Autorizao concedida!'

    else
    if nomeArq = 'TWOK' then
        s := 'OK'
    else
    if nomeArq = 'TWDIGTXT' then
        s := 'Digite o texto a enviar'
    else
    if nomeArq = 'TWNAOELN' then
        s := 'Ao teclar em seguida, no elimine o nome pr-digitado: '    
    else
    if nomeArq = 'TWRESNDN' then
        s := 'Respondendo a '
    else
    if nomeArq = 'TWENVMSG' then
        s := 'Enviando mensagem...'
    else
    if nomeArq = 'TWMSGENV' then
        s := 'Mensagem enviada.'
    else
    if nomeArq = 'TWMSNENV' then
        s := 'Mensagem no foi enviada.'
    else
    if nomeArq = 'TWSOLIC' then
        s := 'Solicitando... '
    else
    if nomeArq = 'TWQUERDS' then
        s := 'Quer mesmo destruir esta mensagem? '

    else
    if nomeArq = 'TWERRO' then
        s := 'Erro no processamento.'
    else
    if nomeArq = 'TWOK' then
        s := 'Ok'
    else
    if nomeArq = 'TWERHTTP' then
        s := 'Erro no protocolo HTTP'
    else
    if nomeArq = 'TWCNTBUS' then
        s := 'Informe o contedo buscado: '
    else
    if nomeArq = 'TWAPEBUS' then
        s := 'Informe o apelido buscado: '
    else
    if nomeArq = 'TWIDBUS' then
        s := 'Informe o nmero de identificao buscado: '
    else
    if nomeArq = 'TWAPEDST' then
        s := 'Informe o apelido do destinatrio: '
    else
    if nomeArq = 'TWCMD' then
        s := 'Comando: '
    else
    if nomeArq = 'TWNENCON' then
        s := 'No encontrado'
    else
    if nomeArq = 'TWNOAUTH' then
        s := 'Falta de permisso na autenticao com OAuth'
    else
    if nomeArq = 'TWNAOMSD' then
        s := 'Esta aplicao no est autorizada a acessar nem remover mensagens diretas'
    else
    if nomeArq = 'TWAPTENT' then
        s := 'Aperte enter...'
    else
    if nomeArq = 'TWAPOUID' then
       s := 'Opo?  A-apelido  I-identificao: '

    else
    if nomeArq = 'TWOPCAMI' then
       s := 'Qual a opo de amizade? '
    else

    if nomeArq = 'TWFA_A' then
       s := 'A - folhear minhas amizades'
    else
    if nomeArq = 'TWFA_O' then
        s := 'O - folhear amizades de outros'
    else
    if nomeArq = 'TWFA_C' then
       s := 'C - criar amizade'
    else
    if nomeArq = 'TWFA_D' then
       s := 'D - destruir amizade'
    else
    if nomeArq = 'TWFA_V' then
       s := 'V - verifica a relao existente entre usurios'
    else
    if nomeArq = 'TWFA_S' then
       s := 'S - folhear seguidores de usurios'
    else
    if nomeArq = 'TWFA_U' then
       s := 'U - Detalhes do usurio'
    else
    if nomeArq = 'TWAPEUSU' then
        s := 'Informe o apelido do usurio no Twitter'
    else
    if nomeArq = 'TWOQFAZ' then
        s := 'O que fazer com ele? '

    else
    if nomeArq = 'TWDEIXEB' then
        s := 'Se for voc mesmo, apenas aperte enter'
    else
    if nomeArq = 'TWDESSEG' then
        s := 'Deseja segui-lo tambm (S/N): '
    else
    if nomeArq = 'TWSUGSET' then
        s := '(para sugestes use as setas)'
    else
    if nomeArq = 'TWCRIAMI' then
        s := 'Criando amizade...'

    else
    if nomeArq = 'TWENVPED' then
        s := 'Enviando pedido...'
    else
    if nomeArq = 'TWPEDENV' then
        s := 'Pedido enviado.'
    else
    if nomeArq = 'TWERRPED' then
        s := 'Pedido no foi aceito.'
    else
    if nomeArq = 'TWCONFIR' then
        s := 'Confirmando a identidade:'
    else
    if nomeArq = 'TWCONFSN' then
        s := 'Est certo? '
    else
    if nomeArq = 'TWNAOSEG' then
        s := 'No permitido: voc no pode seguir-se a si prprio.'
    else
    if nomeArq = 'TWNAOESG' then
        s := 'Voc no pode enviar mensagens para quem no est seguindo voc.'
    else
    if nomeArq = 'TWNOTDEL' then
        s := 'Voc no pode remover informaes de outro usurio'
    else
    if nomeArq = 'TWAPEORI' then
        s := 'Informe o apelido da pessoa origem:  '
    else
    if nomeArq = 'TWAPEDST' then
        s := 'Informe o apelido da pessoa destino: '
    else
    if nomeArq = 'TWRELACI' then
        s := 'Relacionamento:'
    else
    if nomeArq = 'TWSEGUIND' then
        s := ' est seguindo '
    else
    if nomeArq = 'TWSEGUIDO' then
        s := ' est sendo seguido por '
    else
    if nomeArq = 'TWNAOENC' then
       s := 'No encontrado.'
    else
    if nomeArq = 'TWNUMAMI' then
        s := 'Nmero de amigos: '
    else
    if nomeArq = 'TWNUMSEG' then
        s := 'Nmero de seguidores: '

    else
    if nomeArq = 'TWEDESCT' then
        s := 'Confira com as setas, ESC termina'
    else
    if nomeArq = 'TWFSETAS' then
        s := 'Folheie com as setas, F9 d opes, ESC termina'

    else
    if nomeArq = 'TW_IDENT' then
        s := 'Identificao: '
    else
    if nomeArq = 'TW_NOME'  then
        s := 'Nome: '
    else
    if nomeArq = 'TW_APELI' then
        s := 'Apelido: '
    else
    if nomeArq = 'TW_LOCAL' then
        s := 'Localizao: '
    else
    if nomeArq = 'TW_DESCR' then
        s := 'Descrio: '
    else
    if nomeArq = 'TW_LOCIM' then
        s := 'Local da imagem: '
    else
    if nomeArq = 'TW_HPAGE' then
    s := 'Homepage: '
    else
    if nomeArq = 'TW_SEGUI' then
        s := 'Seguidores:'
    else
    if nomeArq = 'TW_AMIGS' then
        s := 'Amigos: '
    else
    if nomeArq = 'TW_CRIAD' then
        s := 'Criado em '
    else
    if nomeArq = 'TW_FAVRS' then
        s := 'Favoritos: '
    else
    if nomeArq = 'TW_SEGND'
        then s := 'Seguindo: '
    else
    if nomeArq = 'TW_NTWEE' then
        s := 'Quantos tweets: '
    else
    if nomeArq = 'TW_LINGU' then
        s := 'Linguagem: '
    else
    if nomeArq = 'TW_ENVIA' then
        s := 'Enviado por: '
    else
    if nomeArq = 'TW_RECEB' then
        s := 'Recebido por: '
    else
    if nomeArq = 'TW_TEXT' then
        s := 'Texto: '
    else
    if nomeArq = 'TW_CREAT' then
        s := 'Criado em: '
    else
    if nomeArq = 'TW_SRC' then
        s := 'Origem: '
    else
    if nomeArq = 'TW_AUTOR' then
        s := 'Autor: '
    else
    if nomeArq = 'TW_ID' then
        s := 'Identificao: '
    else
    if nomeArq = 'TW_RETWI' then
        s := 'Retuitado: '
    else
    if nomeArq = 'TW_RTCNT' then
        s := 'Contador de retwits: '
    else
    if nomeArq = 'TW_TRUNC' then
        s := 'Truncado: '
    else
    if nomeArq = 'TW_FAVOR' then
        s := 'Favorito: '
    else
    if nomeArq = 'TW_INRES' then
        s := 'Resposta ao status: '
    else
    if nomeArq = 'TW_INREU' then
        s := 'Resposta ao usurio: '
    else
    if nomeArq = 'TW_REPSN' then
        s := 'Resposta ao apelido: '
    else
    if nomeArq = 'TWNAOPOD' then
        s := 'Este usurio no tem privilgios de mudar amigos'
    else
    if nomeArq = 'TWMUIMIL' then
        s := 'mais de 5000'
    else
    if nomeArq = 'TWSEMSUG' then
        s := 'Arquivo de sugestes no foi encontrado'
    else
    if nomeArq = 'TWAPF1' then
        s := 'Use as setas ou aperte F1 para ajuda'
    else
    if nomeArq = 'FWUSEST' then
        s := 'Use as setas'
    else
    if nomeArq = 'TWNOMSLV' then
        s := 'Editore o nome do arquivo a salvar: '
    else
    if nomeArq = 'TWINFARU' then
        s := 'Informe o arquivo para salvar os dados do usurio'
    else
    if nomeArq = 'TWINRELU' then
        s := 'Informe o arquivo para recuperar os dados do usurio'
    else
    if nomeArq = 'TWTSTOD' then
        s := 'Aperte T para todos, outra tecla s para esse: '
    else
    if nomeArq = 'TWERRGRV' then
        s := 'Erro ao gravar arquivo'
    else
    if nomeArq = 'TWERRLEI' then
        s := 'Erro ao ler arquivo'
    else
    if nomeArq = 'TWSITNAO' then
       s := 'Site no foi localizado na mensagem'
    else
    if nomeArq = 'TWF12' then
       s := 'Aperte F11 para executar pelo Windows, F12 para executar pelo DOSVOX'
    else
    if nomeArq = 'TWENTRET' then
       s := 'Aperte enter depois que retornar'
    else
    if nomeArq = 'TWEDITOR' then
        s := 'Soletre ou editore'
    else
    if nomeArq = 'TWRETWIT' then
        s := 'Retuitando...'
    else
    if nomeArq = 'TWEDITXT' then
        s := 'Editore o texto a enviar, enter envia igual'

    else
    if nomeArq = 'TWOPCCNF' then
        s := 'Qual a opo de configuraes? '
    else
    if nomeArq = 'TWCF_U' then
       s := 'U - trocar usurio'
    else
    if nomeArq = 'TWCF_T' then
        s := 'T - verificar totais'
    else
    if nomeArq = 'TWCF_S' then
        s := 'S - salvar autorizao do usurio'
    else
    if nomeArq = 'TWCF_R' then
        s := 'R - recuperar autorizao do usurio'

    else
    if nomeArq = 'TWUSTEST' then
        s := 'Este usurio  s para testes, no manda mensagens.'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{       d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

procedure menuAdiciona (cod: string);
begin
    popupMenuAdiciona (cod, pegaTextoMensagem(cod));
end;

procedure naoImplem;
begin
    clrscr;
    mensagem ('TWNAOIMP', 1);  // 'No foi implementado ainda'
    mensagem ('TWAPTENT', 1);  // 'Aperte enter para continuar'
    readln;
end;

procedure titulo;
begin
    gotoxy (1, 1);  clreol;
    gotoxy (1, 2);  clreol;
    gotoxy (1, 3);  clreol;
    gotoxy (1, 4);  clreol;
    gotoxy (1, 5);  clreol;
    gotoxy (1, 1);
    textBackground (BLUE);
    write (pegaTextoMensagem ('TWINIC'));  {'Twitter Vox - verso '}
    writeln (versao);
    writeln;
    textBackground (BLACK);
    writeln ('Usurio ', username);
    limpabuftec;
    gotoxy (1, 5);
end;

procedure limpaBaixo;
var sx, sy, y: integer;
begin
    sx := wherex;
    sy := wherey;
    clreol;
    for y := wherey to 25 do
        begin
            gotoxy (1, y);
            clreol;
        end;
    gotoxy (sx, sy);
end;

function traduzErro (s: string): string;
begin
    // mensagens mais comuns so traduzidas
    if (s = 'Not found') or
       (s = 'Sorry, that page does not exist') then
        result := 'TWNENCON'   {'No encontrado'}
    else
    if s = 'Could not authenticate with OAuth.' then
        result := 'TWNOAUTH'   {'Falta de permisso na autenticao com OAuth'}
    else
    if s = 'Could not authenticate you.' then
        result := 'TWNOAUTH'   {'Falta de permisso na autenticao com OAuth'}
    else
    if s = 'User has been suspended' then
        result := 'TWSUSPEN'   {'Usurio suspenso.'}
    else
    if s = 'Could not follow user: You can''t follow yourself!' then
        result := 'TWNAOSEG'   {'No permitido: voc no pode seguir-se a si prprio.'}
    else
    if s = 'You cannot send messages to users who are not following you.' then
        result := 'TWNAOESG'   {'Voc no pode enviar mensagens para quem no est seguindo voc.'}
    else
    if s = 'Invalid / expired token' then
        result := 'TWINVTOK'   {'Autorizao de acesso invlido ou expirado'}
    else
    if s = 'You may not delete another user''s status.' then
        result := 'TWNOTDEL'   {'Voc no pode remover informaes de outro usurio'}
    else
        result := s;
end;

end.

